package com.crm.manager.dao.repository;

import com.crm.rely.backend.core.pojo.table.UserRoleQaTable;
import com.crm.rely.backend.dao.repository.BaseRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface UserRoleQaRepository extends BaseRepository<UserRoleQaTable> {

    List<UserRoleQaTable> getAllByQaId(Long qaId);

    List<UserRoleQaTable> findAllByQaId(Long qaId);

    List<UserRoleQaTable> findAllByQaIdIn(List<Long> qaIds);

    List<UserRoleQaTable> getAllByQaIdIn(List<Long> qaIds);
}
